# The Aegir system

The Aegir hosting system allows developers and site administrators to
automate many of the common tasks associated with deploying and
managing large websites. Aegir makes it easy to install, upgrade,
deploy, and backup an entire network of Drupal sites.

The most up to date information regarding the project and its goals
can be found on the Aegir website and the documentation pages:

   http://aegirproject.org
   http://docs.aegirproject.org/

This is the backend of the Aegir hosting system. The front end
(hostmaster) and the backend (provision) are designed to be run
separately, and each front end is able to drive multiple back
ends. Aegir can install itself with the software you have already
downloaded alongside this readme file.

To install Aegir, you should follow the instructions at:

   http://docs.aegirproject.org/en/3.x/install/

To upgrade Aegir, follow the instructions at:

   http://docs.aegirproject.org/en/3.x/install/upgrade

If you have further questions or are having trouble with Aegir,
check out how to reach our community at:

   http://docs.aegirproject.org/en/3.x/community/

Other documentation for developers is also available at:

   http://docs.aegirproject.org/en/3.x/extend/

Build status Travis: [![Build Status](https://travis-ci.org/aegir-project/provision.svg?branch=7.x-3.x)](https://travis-ci.org/aegir-project/provision) (in-depth and manual install)

Build status GitLab CI: [![build status](https://gitlab.com/aegir/provision/badges/7.x-3.x/build.svg)](https://gitlab.com/aegir/provision/commits/7.x-3.x) (debian packages)

### Drupal 10

In order to host Drupal 10 sites (or more specifically sites with symfony/console:^5), a patch to drush 8 is needed.

To add this patch to a hostmaster platform that is built with composer, use the following snippet in composer.json:

```json
{
  "extra": {
    "patches": {
      "drush/drush": {
        "https://www.drupal.org/project/provision/issues/3353492#comment-15336648": "https://www.drupal.org/files/issues/2023-11-28/drush-8-symfony-console-compat.patch"
      },
      "symfony/console": {
        "https://www.drupal.org/project/provision/issues/3353492#comment-15336648": "https://www.drupal.org/files/issues/2023-11-28/symfony-console-4-update.patch"
      }
    }
  }
}
```
